Get credit line details
curl --request GET \
--url https://api-sandbox.circle.com/v1/credit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/credit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b3d9d2d5-4c12-4946-a09d-953e82fae2b0",
"product": "lineOfCredit",
"status": "active",
"limit": {
"amount": "1000000.00",
"currency": "USD"
},
"used": {
"amount": "250000.00",
"currency": "USD"
},
"available": {
"amount": "750000.00",
"currency": "USD"
},
"outstandingTransfers": 2,
"feeRates": {
"recurringFee": "0.0003"
},
"unpaidFees": {
"amount": "150.00",
"currency": "USD"
},
"minBalance": {
"amount": "100000.00",
"currency": "USD"
},
"feeCadence": "daily",
"validationErrors": [],
"createDate": "2024-01-15T10:30:00.000Z",
"updateDate": "2024-03-20T14:22:00.000Z"
}
}Get credit line details
Provides overall credit line details, including status, available limit, and outstanding balance.
GET
/
v1
/
credit
Get credit line details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successfully retrieved credit line details.
Credit line details including status, available limit, and outstanding balance.
Show child attributes
Show child attributes
Was this page helpful?
⌘I